2007-07-02 Fabian Sturm <f@rtfs.org>

	* src/MonoDevelop.Ide/MonoDevelop.Ide.Gui.Content/TextEditorProperties.cs: Added properties for separate spaces, tabs and newline highlighting.

2006-09-26 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* src/Core.mds: Updated.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* src/Tools/Tools.mds:
	* src/Tools/mdrun/mdrun.mdp:
	Updated.

	* src/Tools/mdrun: Added svn:ignore for mdrun.pidb

2006-03-16  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* src/Makefile.am: Changed build order.

2005-01-13  Christian Hergert <chris@mosaix.net>

	* AUTHORS: Added christian and ankit

2004-12016  David Dollar  <ddollar@grepninja.org>

	* configure.in: Remove the second gtk-sharp prefix check that was
	breaking people with gtk-sharp 1.0 and 2.0 installs in different
	prefixes.

2004-11-12  Todd Berman  <tberman@off.net>

	* configure.in: Require 0.6.99 (HEAD SVN) gtksourceview-sharp.

2004-11-11  Todd Berman  <tberman@off.net>

	* configure.in: Check for OEE Mono.Posix

2004-11-05  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* *: Large changeset, adds project management, compilation, and
	rudimentary code completion support for vb.net

2004-10-27  Todd Berman  <tberman@off.net>

	* configure.in: Make sure a valid gnome prefix is returned, error out
	otherwise.

2004-10-27  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* monodevelop.xml: fix vb mime entry.

2004-10-21  John Luke  <john.luke@gmail.com>

	* *Makefile.am: remove CSC= in individual Makefile.am's (make CSC='mcs -g' for debug)
	add $(DLL).mdb to CLEANFILES

2004-10-17  John Luke  <john.luke@gmail.com>

	* configure.in: echo $CSC at the end for the prefix impaired (like me)

2004-10-15  Fawad Halim <fawad@fawad.net>

	* build/AddIns/AddIns/BackendBindings/templates/Makefile.am: Add missing NemerleGtkSharpWindow.xft.xml reference.
	* src/AddIns/DisplayBindings/SourceEditor/Gui/SourceEditorDisplayBinding.cs:
	* src/AddIns/BackendBindings/CSharpBinding/CSharpBindingCompilerManager.cs:
	* build/AddIns/AddIns/BackendBindings/BackendBindings.addin.xml:
	* build/AddIns/AddIns/BackendBindings/templates/AppConfigFile.xft.xml: Added support for app.config at compile time for C#, and added template for same under File->New->Misc.
	

2004-10-04  Todd Berman  <tberman@off.net>

	* configure.in: Add a --with-gtk-sharp-2-0 to allow gtk-sharp-2-0
	to be used. This is a needed workaround for now to allow for people
	to get 2.0 completion info. Works around a mono bug. That jackson
	is going to fix. :)

2004-09-20  Tim Gerla  <tim@gerla.net>

	* configure.in:
	* Makefile.am: add --disable-update-mimedb to disable calling
		       update-mime-database on install. 

2004-09-19  Enver ALTIN  <ealtin@parkyeri.com>

	* configure.in: Added Turkish to ALL_LINGUAS.

2004-08-07  Todd Berman  <tberman@off.net>

	* configure.in: small changes for the 0.5.1 release on sunday.

2004-07-08  Pawel Rozanski  <tokugawa@afn.no-ip.org>

	* build/data/resources/icons/Nemerle.File.Form
	* build/data/resources/icons/Nemerle.Project.Form
	* build/data/resources/icons/Makefile.am:
	add Form icons for Nemerle.

2004-07-05  Todd Berman  <tberman@off.net>

	* configure.in:
	* Makefile.am:
	* monodevelop.in: Patch from Marcin Krzyzanowski <krzak@pld-linux.org>
	to fix mint issues.

2004-07-05  Todd Berman  <tberman@off.net>

	* Makefile.ams: remove libdir == $(prefix)/lib assumption. Patch from
	Marcin Krzyzanowski <krzak@pld-linux.org>

2004-07-05  Todd Berman  <tberman@off.net>

	* configure.in:
	* Makefile.am:
	* libmonodevelop: Removed libmonodevelop.

2004-07-04  Todd Berman  <tberman@off.net>

	* *: Fixup to work on macosx OOB, at least a bit better.

2004-07-03  John Luke  <jluke@cfl.rr.com>

	* README: update dependency versions
	* configure.in: set mono dep to 1.0

2004-07-01  Todd Berman  <tberman@off.net>

	* *: This is a huge changeset, so instead of annotating in every
	possible place, I will explain the changeset here.

	First, ResourceService.GetString was removed as it is a call that
	is used for translation purposes in #D, and we use gettext to
	handle translation.

	Then, IResourceService was removed as it is useless now (just had
	a GetString call). All files were updated to not use IResourceService
	and in many cases, the resource service was able to be completely
	removed.

	The StringParserService has a way of allowing ${res:key} strings to
	be localized through the ResourceService.GetString. Because this
	functionality was removed, and any use of it is an error now, I
	made that throw an exception.

	As it turns out, there was a lot of code that used ${res:key}, most
	notably the new project/file template stuff. This was updated to allow
	for translation properly, and no longer use ${res:key} style i18n.

	There were a handful of other places that still used the ${res:}
	syntax.

	Right now, there is the possibility that there are still some missing.
	If this is the case, an exception will be thrown and MD will crash/hang.
	
	Please report these situations as soon as possible so we can fix
	them, and get 100% i18n coverage.

2004-06-29  Todd Berman  <tberman@off.net>

	* configure.in: remove dead directories.

2004-06-24  John Luke  <jluke@cfl.rr.com>

	fix all the projects and generated makefiles
	(add/remove needed files, add refs)

	stub Gdl.DockBar and Gdl.DockLayout to compile
	and more projects/other trivial fixes

2004-06-23  Todd Berman  <tberman@off.net>

	* *.cs: Lots of changes to reflect the ServiceManager change.

2004-06-18  Todd Berman  <tberman@off.net>

	* configure.in: change how we reference the debugger stuff, to make
	it a bit saner. Also cleanup (by making dirtier) the PKG check stuff.

2004-06-14  Francisco "Paco" Martinez <paco@mfcon.com>
	
	* monodevelop.in: 
	added a missing space before an enclosing square bracket

2004-06-14  Peter Johanson <latexer@gentoo.org>

	* build/AddIns/SharpDevelopCore.addin.xml:
	* build/AddIns/MonoDevelopNewEditor.addin.xml:
	add mnemonics to many of the menu items.

2004-06-12  Martin Baulig  <martin@ximian.com>

	* configure.in: Reenable the debugger.

2004-06-11  Todd Berman  <tberman@sevenl.net>

	* monodevelop.in: dont ask me how that worked. as i dont know. this
	should.

2004-06-11  Todd Berman  <tberman@sevenl.net>

	* configure.in: grab gtk-sharp prefix.
	* monodevelop.in: add the gtk-sharp prefix for assembly ref issues.
	attempt to be smart, etc.

2004-06-10 John Bouantoun (jba-mono@optusnet.com.au)
	* Numerous *.prjx in MonoDevelop solution: Changed them to not
	search folders for new files on load.

2004-06-08 Iain McCoy <iain@mccoy.id.au>

	* Makefile.am: don't clobber LD_LIBRARY_PATH in the make run target

2004-06-07  John Luke  <jluke@cfl.rr.com>

	* monodevelop.in: patch from Michael Levy <mlevy@wardium.homeip.net>
	to handle relative files in the command line.

2004-06-02  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* AUTHORS: Added Atsushi, Martin, Antonio, Andre & Maurício who 
	made translations.
	* src/Main/Base/Gui/Dialogs/CommonAboutDialog.cs: Ditto

2004-06-02  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* src/AddIns/DisplayBindings/SourceEditor/Gui/Dialogs/
	ExportProjectToHtmlDialog.cs:
	* src/AddIns/DisplayBindings/SourceEditor/Gui/SourceEditorBuffer.cs:
	* src/Main/Base/Commands/ProjectBrowserCommands/
	ResourceFolderNodeCommands.cs: 
	* src/Main/Base/Commands/ProjectBrowserCommands/FolderNodeCommands.cs:
	* src/Main/Base/Gui/CompletionDatabaseWizard/UseExistingGenerator.cs:
	* src/Main/Base/Gui/CompletionDatabaseWizard/DownloadGenerator.cs:
	* src/Main/Base/Gui/Workbench/Layouts/SdiWorkspaceLayout.cs:
	* src/Main/Base/Gui/Dialogs/SplashScreen.cs:
	* src/Main/Base/Gui/Dialogs/NewProjectDialog.cs:
	* src/Main/Base/Gui/Dialogs/WordCountDialog.cs:
	* src/Main/Base/Gui/Dialogs/OptionPanels/ProjectOptions/
	DeployFileOptions.cs:
	
	s/File/System.IO.File/ to make MD compile with the jeroen-gtk-2-4
	branch of gtk-sharp (in GTK+-2.4, there's a Gtk.File class now).

2004-06-01  Todd Berman  <tberman@sevenl.net>

	* monodevelop.in: patch from cmeadors to fix weird startup issue.

2004-06-01  Todd Berman  <tberman@sevenl.net>

	* configure.in: trust gtksourceview-sharp to check for gtksourceview.

2004-05-30  Fawad Halim  <fawad@fawad.net>
	* help/: Imported initial docbook docs skeleton
	* xmldocs.make,omf.make: Imported supporting omf/docbook files from GNOME CVS
	* configure.in,Makefile.am: Add help/ in build

2004-05-29  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* configure.in: Changed da_DK to da
	* po/da_DK.po: Moved to da.po
	* po/README: Reflects the move

2004-05-28  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* po/da_DK.op: Corrected some option/setting translations

2004-05-27  Todd Berman  <tberman@sevenl.net>

	* *: Lots of new files, usable for editing MD within MD.
	Building is not supported, either via the internal build system or
	the generate makefiles, both will most likely break horribly.
	These project files are first draft, and are most likely missing
	references, and other needed info.

2004-05-27  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* po/da_DK.po: Additional translations and corrections
	* src/Main/Base/Internal/Project/Project/AbstractProject.cs: Fixed error msg, 
	SharpDevelop replaced with MonoDevelop

2004-05-26  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* configure.in: Added da_DK
	* po/da_DK.po: Initial creation
	Updated to match latest svn, 
	fixed character encoding,
	more translations.
	* po/README: Added some notes on how to do a l10n.

2004-05-25  Fawad Halim <fawad@fawad.net>

	* CSharpBinding/CSharpBindingCompilerManager.cs: Use
	ProcessStartInfo(filename,arguments) constructor 

2004-05-22  Todd Berman  <tberman@sevenl.net>

	* configure.in: bump some deps and MD itself.

2004-05-21 Iain McCoy <iain@mccoy.id.au>

	* monodevelop.in: make the script more robust in cases where
	mozilla is not installed

2004-05-06  Mike Kestner  <mkestner@ximian.com>

	* configure.in : AC_SUBST the new BASE_DEPENDENCIES_LIBS

2004-05-06  John Luke  <jluke@cfl.rr.com>

	* configure.in: split unmanaged stuff into there own check
	so $(BASE_DEPENDENCIES_LIBS) is useful for us, remove the 
	individual AC_SUBST's
	* *Makefile.am: use BASE_DEPENDENCIES_LIBS instead of specifying
	all the refs individually and split the references into a seperate
	variable in those that weren't already

2004-05-04  Pawel Rozanski  <tokugawa@afn.no-ip.org>

	* build/AddIns/AddIns/BackendBindings/BackendBindings.addin.xml:
	* build/data/templates/file/Nemerle/EmptyNemerleFile.xft:
	* build/data/templates/project/Nemerle/EmptyProject.xpt:
	Nemerle projects use Nemerle icons now

	* build/data/resources/icons/Makefile.am:
	* build/data/resources/icons/Nemerle.ProjectIcon:
	* build/data/resources/icons/Nemerle.Project.EmptyProject:
	* build/data/resources/icons/Nemerle.File.EmptyFile:
	* build/data/resources/icons/Nemerle.FileIcon:
	first Nemerle icons from Piotr Modrzyk

2004-05-02  Todd Berman  <tberman@sevenl.net>

	* build/AddIns/Makefile.am:
	* po/*: updates to get a make distcheck to pass.

2004-04-27  Francisco "Paco" Martinez <paco@mfcon.com>

	* configure.in: output src/Addin/prj2make-sharp-lib/Makefile and
		src/Addin/prj2make-sharp-lib/AssemblyInfo.cs
	* src/Addin/Makefile.am: add prj2make-sharp-lib to subdirs
	* src/Addin/prj2make-sharp-lib -- This is an addin to 
		manipulate project and workspace file types created by
		MS Visual Studio .NET 2003

2004-04-27  Todd Berman  <tberman@sevenl.net>

	* configure.in: bump gtksourceview-sharp dep.

2004-04-26  Pawel Rozanski  <tokugawa@afn.no-ip.org>

	* monodevelop.xml: mime for Nemerle source
	* monodevelop.keys: added text/x-java,text/x-msil,
	text/x-nemerle,text/x-vb 
	* monodevelop.applications: as above
	* monodevelop.mime: changed to x-prjx, x-cmbx 

2004-04-25  John Luke  <jluke@cfl.rr.com>

	* AUTHORS: add people that have contributed

2004-04-25  Atsushi Enomoto  <atsushi@ximian.com>

	* configure.in: ja_JP.po support.

2004-04-19  Todd Berman  <tberman@sevenl.net>

	* configure.in: bump the monodoc dep to 0.13.99

2004-04-19  Todd Berman  <tberman@sevenl.net>

	* configure.in: add french translation
	* po/fr.po: add french translation from Vincent Daron

2004-04-12  John Luke  <jluke@cfl.rr.com>

	import ILAsmBinding from SD svn	

	* configure.in: make hard dependencies in one check
	and fail if any are missing, remove all the fluff at
	the bottom because if its not there it should have 
	already failed

2004-04-12  Todd Berman  <tberman@sevenl.net>

	* configure.in: bump to 0.18.99 gtk-sharp

2004-04-11  Kevin Breit  <mrproper@ximian.com>

	* /build/data/templates/file/CSharp/GtkSharpWindow.xft: Added a ; to 
	fix a syntax error

2004-04-08  John Luke  <jluke@cfl.rr.com>

	* configure.in: output src/Tools/Makefile and
	src/Tools/SharpCoco/Makefile
	* src/Makefile.am: add Tools to subdirs

2004-04-07  John Luke  <jluke@cfl.rr.com>
	
	* monodevelop.in: conditionally set LD_LIBRARY_PATH based on advice from
	http://www.gnome.org/~markmc/blog/07042004

2004-04-02  Todd Berman  <tberman@sevenl.net>

	* Gui/CompletionDatabaseWizard/DownloadGenerator.cs:
	* Gui/CompletionDatabaseWizard/UseExistingGenerator.cs:
	* Gui/CompletionDatabaseWizard/GenerateDatabase.cs:
	* Gui/CompletionDatabaseWizard/druid.cs:
	* Gui/Workbench/Layouts/SdiWorkspaceWindow.cs:
	* Gui/Workbench/DefaultWorkbench.cs:
	* Gui/Components/StatusBar/SdStatusBar.cs:
	* Gui/AbstractPadContent.cs:
	* Gui/Pads/FileScout.cs:
	* Gui/Pads/ClassScout/ClassScout.cs:
	* Gui/Pads/OpenTaskView.cs:
	* Gui/Pads/ProjectBrowser/ProjectBrowserView.cs:
	* Gui/Pads/ProjectBrowser/BrowserNode/ProjectBrowserNode.cs:
	* Gui/Pads/ProjectBrowser/BrowserNode/FileNode.cs:
	* Gui/Pads/ProjectBrowser/BrowserNode/CombineBrowserNode.cs:
	* Gui/Pads/ProjectBrowser/BrowserNode/NamedFolderNode.cs:
	* Gui/Pads/ProjectBrowser/BrowserNode/DirectoryNode.cs:
	* Gui/Pads/ProjectBrowser/NodeBuilder/DefaultDotNetNodeBuilder.cs:
	* Gui/Pads/HelpBrowser/MonodocTreePad.cs:
	* Gui/Pads/HelpBrowser/HelpViewer.cs:
	* Gui/AbstractBaseViewContent.cs:
	* Gui/AbstractViewContent.cs:
	* Gui/BrowserDisplayBinding/HtmlViewPane.cs:
	* Gui/ErrorHandlers/CombineLoadError.cs:
	gettextify

2004-04-02  Todd Berman  <tberman@sevenl.net>

	* configure.in: added po/Makefile.in.in, and other gettext related
	stuff. added libmonodevelop/Makefile
	* Makefile.am: added po and libmonodevelop to subdirs
	* autogen.sh: added intltoolize to autogen.sh

2004-03-31  Todd Berman  <tberman@sevenl.net>

	* configure.in: bumping to 0.3

2004-03-31  Todd Berman  <tberman@sevenl.net>

	* configure.in: required 0.31 for a utf related stream fix.

2004-03-25  Todd Berman <tberman@sevenl.net>

	* configure.in: updated for switchover to gecko-sharp
	* gtkmozembed/: removed, as we now depend on the mono-cvs gecko-sharp --
	gtkmozembed-sharp module
	* Makefile.am: updated for gecko-sharp
	
2004-03-22  John Luke  <jluke@cfl.rr.coc>

	* configure.in: make ENABLE_XDGMIME work right
	* AssemblyInfo.cs*: generate the MonoDevelop versions from configure
	* Makefile.am: workaround EXTRA_DIST conditional varaibles

2004-03-22 Iñigo Illán <kodeport AT terra.es>

	* Base/Gui/Pads/ProjectBrowser/BrowserNode/FileNode.cs:
	* Base/Services/File/IFileService.cs:
	* Base/Services/Project/DefaultProjectService.cs:
	* Base/Services/File/DefaultFileService.cs:
	Reject the operations made by me.

	* Base/Services/File/DefaultFileService.cs:
	Make OpenFile look if the file is a project file and make it
	display correctly on the window manager.

	* Base/Gui/Workbench/Layouts/SdiWorkspaceLayout.cs:
	Make title be displayed correctly

2004-03-21  Todd Berman <tberman@sevenl.net>

	* monodevelop.xml: updated with a lot of mime-types, and submitted
	to fd.o

2004-03-22  Iñigo Illán <kodeport AT terra.es>

	* Base/Gui/Pads/ProjectBrowser/BrowserNode/FileNode.cs:
	Make ActivateItem call OpenFileFromProject instead OpenFile

	* Base/Services/File/IFileService.cs:
	Add OpenFileProject specification

	* Base/Services/File/DefaultFileService.cs:
	LoadFileWrapper can manage files from projects.
	Implement OpenFile to manage project files and rename it to
	OpenFileProject	OpenFile now calls OpenFileProject

	* Base/Gui/IViewContent.cs:
	Add HasProject,	ProjectName and	PathRelativeToProject
	properties

	* Base/Gui/AbstractViewContent.cs:
	Implement HasProject, ProjectName, PathRelativeToProject properties

	* Base/Services/Project/DefaultProjectService.cs:
	Call OpenFileFromProject instead OpenFile when restoring
	the combine state
	
2004-03-21  John Luke  <jluke@cfl.rr.com>

	* docs/WritingAddins.html: initial addin quick guide
	* configure.in: Gtk# 0.18 is actually required
	* Makefile.am: support GNOME2.6 and fd.o way of mimetypes
	and make it conditional on if update-mime-databade is installed
	* monodevelop.xml: new mime file

2004-03-21	John BouAntoun  <jba-mono@optusnet.com.au>

	* src/AddIns/DisplayBindings/SourceEditor/Search/SearchReplaceInFilesManager.cs:
	fixed taskview to be presented before "search completed" dialog.
	
2004-03-20 Iain McCoy <iainmccoy@optusnet.com.au>
	* configure.in: forgot to undo a change that was part of one of the
	mistakes I made :)

2004-03-20 Iain McCoy <iainmccoy@optusnet.com.au>
	* src/Main/Base/Gui/CompletionDatabaseWizard/*: Remove WriteLine
	statements
	* src/Main/Base/Gui/CompletionDatabaseWizard/DownloadGenerator.cs: add
	downloading from a url
	* src/Libraries/MonoDevelop.Gui.Utils/Makefile.am:
	* src/Libraries/MonoDevelop.Gui.Utils/ReportingStream/*:
	* src/Libraries/MonoDevelop.Gui.Utils/DirectoryArchive/*: Added
	ReportingStream and DirectoryArchive utilities

2004-03-20  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gdldock/gdl/Makefile.am:
	* gdldock/gdl/Gdl.metadata: 
	* gdldock/gdl/DockObject.custom: Customize Gdl.DockObject.Present
	to accept a null parameter.

2004-03-20  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gdldock/gdl/Makefile.am: Make the generated source files depend
	on the custom files too.
	* gdldock/gdl/DockLayout.custom: Fix list elements leak.

2004-03-20  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gdldock/gdl/Makefile.am: 
	* gdldock/gdl/Gdl.metadata: 
	* gdldock/gdl/DockLayout.custom: Provide a customized GetLayouts
	to return a string[] instead of a GLib.List.
	* src/Main/Base/Gui/IWorkbenchLayout.cs:
	* src/Main/Base/Gui/Workbench/Layouts/SdiWorkspaceLayout.cs:
	Support for different sets of layouts depending on the workbench
	context.  Implement Layouts property.  Layouts are saved to the
	xml file with fully qualified names such as "Context.Layout
	name".  CurrentLayout hides the context prefix, so the value
	set/retrieved is just the layout name.
	* data/resources/glade/Base.glade:
	* src/Main/Base/Gui/Dialogs/NewLayoutDialog.cs: New dialog used to
	retrieve the name of the layout being created.
	* src/Main/Base/Makefile.am: Add NewLayoutDialog.cs to the build.
	* build/AddIns/SharpDevelopCore.addin:
	* src/Main/Base/Commands/ToolsCommands.cs:
	* src/Main/Base/Commands/MenuItemBuilders.cs: Add layouts menu.

2004-03-20	John BouAntoun  <jba-mono@optusnet.com.au>

	* src/Main/Base/Commands/MenuItemBuilders.cs : made it prompt 
	user for launching exteranl tool if set in options
	* src/Main/Base/Services/MessageService.cs: added generic 
	text prompting dialog, GetTextResponse() for above change:
	* src/Libraries/MonoDevelop.Core/Services/IMessageService.cs: 
	added prototype for GetTextResponse() for above change:

2004-03-19  John Luke  <jluke@cfl.rr.com>

	* src/Main/Base/Gui/IProgressMonitor.cs:
	* src/Main/Base/Gui/CompletionDatabaseWizard/GenerateDatabase.cs:
	* src/Main/Base/Services/StatusBar/IStatusBarService.cs:
	* src/Main/Base/Services/StatusBar/DefaultStatusBarService.cs:
	* src/Main/Base/Commands/FileCommands.cs:
	* src/Main/Base/Gui/Components/StatusBar/SdStatusBar.cs:
	use double instead of casting to int everywhere
	and implement ProgressBar
	* src/Main/Base/Makefile.am: cleanup and undefine GTK and LINUX
	* *.cs: account for above

2004-03-19  Iñigo Illán <kodeport AT terra.es>
	* src/Main/Base/Commands/FileCommands.cs:
	ask if you want to really delete recent files/projects list.

2004-03-18  John Luke  <jluke@cfl.rr.com>

	* src/Main/Base/Gui/Pads/HelpBrowser/HelpViewer.cs:
	implement OnUrl event to show Urls in statusbar

2004-03-18  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* src/Main/Base/Gui/IWorkbench.cs: Added WorkbenchContext enum,
	Context property and ContextChanged event.

	* src/Main/Base/Gui/IWorkbenchLayout.cs: Added CurrentLayout
	and PadContentCollection properties.

	* src/Main/Base/Gui/Workbench/DefaultWorkbench.cs: Connect to the
	debugging service's StartedEvent, and switch workbench context
	whenever debugging is started or stopped.

	* src/Main/Base/Gui/Workbench/Layouts/SdiWorkspaceLayout.cs: Added
	layout switching functionality.  Connect to the IWorkbench's new
	ContextChanged event and switch layouts when starting/stopping
	debug.  Provide a collection of valid content pads for the current
	workbench context.

	* src/Main/Base/Commands/MenuItemBuilders.cs: Take the collection
	of content pads from the layout.

2004-03-17	John BouAntoun  <jba-mono@optusnet.com.au>
	
	* src/Main/Base/Commands/MenuItemBuilders.cs:
	fixed external tool launching in correct WorkingDirectory
	and also made it not parse the tool command (bug 53311).
	Still need to fix prompt for arguments issue.

2004-03-15  John Luke  <jluke@cfl.rr.com>
	
	* monodevelop.in: fix LD_LIBRARY_PATH
	add --trace and --profile cl handling

2004-03-15  Todd Berman <tberman@sevenl.net>

	* monodevelop.desktop: added some bugzilla info
	* src/Main/Base/Gui/CompletionDatabaseWizard/druis.cs: 
		added some titles
		fix cancel action.
	* src/Main/Base/Commands/AutostartCommands.cs:
		fix bug #55439, we now dont show the main gui when generating
		the completion database.

2004-03-12  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gdldock/sources/gdl/gdl-dock-item-grip.c:
	* gdldock/sources/gdl/gdl-dock-item-grip.h:
	* gdldock/sources/gdl/gdl-dock-item.c:
	* gdldock/sources/gdl/gdl-dock-object.c:
	* gdldock/sources/gdl/gdl-dock-bar.c: 

	Update GdlDock from Gnome's gdl module: ellipsizing labels for the
	dock item grip and a couple of memory and object leaks.
	
2004-03-12  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gdldock/sources/gdl/Makefile.am: Build libgdldock.so using
	automake builtin rules for shared libraries instead of a hackish,
	home made solution.

	* configure.in: Add GDLDOCK_{CFLAGS,LIBS} variables for building
	GdlDock.

2004-03-11  John BouAntoun  <jba-mono@optusnet.com.au>
	
	* src/Main/Base/Commands/ProjectBrowserCommands/CombineNodeCommands.cs:
	Made it so adding any new nodes to projectbrowserview 
	(i.e. adding new or existing projects or combines to it) expands
	to the added nodes. bug #54725
	Also fixed bug where could not add a new project to combine

2004-03-11  John Luke  <jluke@cfl.rr.com>

	* src/AddIns/DisplayBindings/SourceEditor/:
	CompletionWindow: subclass properly and
	remove KeyRelease for CompletionWindow

	partially port ExportToProjectHtml and add it to Makefile.am

	mv EditTemplateGroupDialog to Dialogs subdir
	and update Makefile.am

	* src/Main/Base/Services/StatusBar:
	make statusbar accept 3 ints
	do the work in the service

	* src/Libraries/CsVbParser:
	import CsVbParser from SD, in hopes of fixing our
	horribly broken one

2004-03-10  John Luke  <jluke@cfl.rr.com>

	* README: add monodoc and debugger to list of deps
	* configure.in: report Gtk#, monodoc, mono debugger results
	* *.cs: anywhere a FileSelection dialog is used wrap it in
	using {}, remove some obsolete/leftover stuff from the SD port

2004-03-10  Todd Berman <tberman@sevenl.net>

	* web/: removed.
	* configure.in: check for monodoc.
	* misc files: Added a help browser pad. right now it just lists nodes,
	              no documentation is given.

2004-03-09  Daniel Kornhauser  <dkor@alum.mit.edu>

        * BIG 750 file change: Reduced the namespace by mapping 
	  ICSharpCode -> MonoDevelop and
          ICSharpCode.SharpDevelop -> MonoDevelop

2004-03-09  John Luke  <jluke@cfl.rr.com>

	* build/AddIns/AddIns/BackendBindings/Makefile.am:
	* build/AddIns/AddIns/Misc/StartPage/Makefile.am:
	remove dlls on make clean, bug #55386
	* */AssemblyInfo.cs: bump to 0.2, add one for SourceEditor
	* FAQS: add FAQ about regen'ing the CodeComplete db
	* src/Main/Base/Gui/Dialogs/OptionPanels/ExternalToolPanel.cs:
	remove some CWL's, weird whitespace fixes, use using () {} on
	the FileSelection dialog

2004-03-07  John Luke  <jluke@cfl.rr.com>

	* src/Main/Base/Makefile.am:
	* src/Main/Base/Gui/FolderDialog.cs: remove because it is
	implemented in MonoDevelop.Gui.Widgets instead
	* build/data/templates/project/CSharp/GnomeSharpProject.xpt:
	fix so it builds

2004-03-07  Todd Berman  <tberman@sevenl.net>

	* src/Main/Base/Gui/Workbench/DefaultWorkbench.cs:
		Removing windows dependencies. (ToUpper)

2004-03-06  Martin Baulig  <martin@ximian.com>

	* configure.in: AC_SUBST(debugger_prefix).
	* src/Main/Base/Services/Makefile.am: Use full path name for 
	Mono.Debugger.dll.

	* src/Main/Base/Gui/Workbench/DefaultWorkbench.cs: connect to the
	debugger's StoppedEvent.
	* src/AddIns/DisplayBindings/SourceEditor/Gui/Pads/DebuggerVariablePad.cs:
	connect to the debugger's ResumedEvent and StoppedEvent.

	* Main/Base/Commands/DebuggerCommands.cs: added KillApplication
	and hook it to the DebuggingService.
	* build/AddIns/SharpDevelopCore.addin: added menu item to the
	debugging menu to kill the application.	

2004-03-05  John BouAntoun  <jba-mono@optusnet.com.au>
	
	* src/Main/Base/Gui/Components/OpenFileTab.cs : deleted (duplicates 
	TabLabel)
	* src/Main/Base/Commands/FileTabStripCommands.cs : deleted because 
	OpenFileTab deleted
	* src/Main/Base/Makefile.am : removed file refs from compilation
	* build/AddIns/SharpDevelopCore.addin: removed file refs from addins

2004-03-05  John BouAntoun  <jba-mono@optusnet.com.au>
	
	* src/AddIns/DisplayBindings/SourceEditor/Gui/Dialogs/ReplaceDialog.cs :
	changed Gtk.Combo's to Gnome.Entry's to fix bug where MD would lock up 
	with hidden "Not Found" Dialog popping up under the find dialog
	* src/AddIns/DisplayBindings/SourceEditor/Gui/Dialogs/ReplaceInFilesDialog.cs: 
	as above
	* data/resources/glade/texteditoraddin.glade : as above

2004-03-05  John Luke  <jluke@cfl.rr.com>
	
	* src/Main/Base/Gui/Dialogs/ReferenceDialog/AssemblyReferencePanel.cs:
	apply patch from djj734@mail.usask.ca (Doug) to fix adding a .NET
	assembly reference by using GetFullPath, bug #55192

2004-03-05  Mike Kestner  <mkestner@ximian.com>

	* Main/Base/Services/DebuggingService.cs : add StepInto and
	implement StepOver.  Use proc.CurrentFrame where possible.

2004-03-05  John BouAntoun  <jba-mono@optusnet.com.au>

	* src/Main/Base/Gui/Dialogs/ProjectOptionsDialog.cs : added 
	configuration renaming
	* src/Main/Base/Gui/Dialogs/TreeViewOptions.cs : made 
	InitializeComponent virtual so ProjectOptionDialog could override (see
	above)

2004-03-04  Mike Kestner  <mkestner@ximian.com>

	* Main/Base/Services/DebuggingService.cs : add CurrentFilename and
	CurrentLineNumber props.  Fix Backtrace.

2004-03-04  Mike Kestner  <mkestner@ximian.com>

	* Main/Base/Services/DebuggingService.cs : add Started/Stopped and 
	Paused/Resumed events plus a CurrentFrame property.

2004-03-04  Mike Kestner  <mkestner@ximian.com>

	* Main/Base/Services/DebuggingService.cs : add Pause/Resume and make
	IsRunning public.

2004-03-04  Todd Berman  <tberman@sevenl.net>

	* build/AddIns/SharpDevelopCore.addin: adding debug menu.
	* src/Main/Base/Services/DebuggingService.cs: added stub for step over.
	* src/Main/Base/Commands/DebuggerCommands.cs: added StepOver.
	* src/AddIns/DisplayBindings/SourceEditor/Gui/SourceEditorBuffer.cs:
		change current execution from red to yellow.
	* ChangeLog: formatting fixes, use this format from now on.

2004-03-04  Daniel Kornhauser <dkor@alum.mit.edu>

	* data/resources/glade/CSharp.glade: 
		created glade file with OutputOptionsPanel UI
	* src/AddIns/BackendBindings/CSharpBinding/Gui/OutputOptionsPanel.cs:
		Gladed CodeGenerationPanel

2004-03-04 John BouAntoun  <jba-mono@optusnet.com.au>
	
	* src/Main/Base/Gui/Dialogs/ProjectOptionsDialog.cs: 
		enabled context menu's for project configurations
	* src/Main/Base/Gui/Dialogs/TreeViewOptions.cs: 
		made SelectNode virtual so ProjectOptionsDialog could override
	* data/resources/glade/Base.glade: 
		fiddled with TreeviewOptions Dialog

2004-03-04  Daniel Kornhauser <dkor@alum.mit.edu>
                                                                                                                             
        * data/resources/glade/CSharp.glade: 
		created glade file with CodeGenerationPanel UI
        * src/AddIns/BackendBindings/CSharpBinding/Gui/CodeGenerationPanel.cs: 
		ported CodeGenerationPanel
        * data/resources/glade/Makefile.am: 
		added reference and resource
        * src/AddIns/BackendBindings/CSharpBinding/Makefile.am:
		added reference and resource

2004-03-04 John BouAntoun  <jba-mono@optusnet.com.au>
	* src/Main/Base/Gui/Dialogs/ProjectOptionsDialog.cs: 
		ported [Add/Remove/UpdateBold]Configuration functions. still 
		no way to cool them, need context menu
	* src/Main/Base/Gui/Dialogs/TreeViewOptions.cs: 
		made TreeView explicitely protected, added SelectSpecificNode
		that does just that 

2004-03-04 John BouAntoun  <jba-mono@optusnet.com.au>

	* build/AddIns/AddIns/BackendBindings/BackendBindings.addin: 
		commented ChoosRuntimePanel binding (we wont't support any 
		other runtimes)  

2004-03-03  Todd Berman  <tberman@sevenl.net>

	* src/AddIns/DisplayBindings/Gui/SourceEditorWidget.cs:
		Fix ExecutingAt.
	* src/Main/Base/Services/DebuggingService.cs:
		Threading issue fixed.

2004-03-03  Todd Berman  <tberman@sevenl.net>

	* src/AddIns/DisplayBindings/Gui/SourceEditor*:
		Add ExecutingAt code.
	* src/Main/Base/Services/DebuggingService.cs:
		Add ExecutingAt support.
	* build/AddIns/SharpDevelopCore.addin:
		rearrange service order.
	* build/data/resources/icons/Breakpoint.png,ExecutionMarker.png:
		import miguel's badass icons
	
2004-03-03  Mike Kestner  <mkestner@ximian.com>

	* Main/Base/Services/DebuggingService.cs : add some debugging info
	and run the debugger before we insert breakpoints.

2004-03-03  Mike Kestner  <mkestner@ximian.com>

	* Main/Base/Services/DebuggingService.cs (UnloadService): kill
	running debugger instances on unload.

2004-03-03  Mike Kestner  <mkestner@ximian.com>

	* Main/Base/Services/DebuggingService.cs (Run): ignore if running

2004-03-03 John BouAntoun  <jba-mono@optusnet.com.au>
	* src/Main/Base/Commands/ProjectOptionsCommands.cs: 
		enabled all the projections command actions
	* src/Main/Base/Gui/Dialogs/ProjectOptionsDialog.cs:
		added code to display the configuration options nodes
	* src/Main/Base/Gui/Dialogs/TreeViewOptions.cs:
		made treeStore explicitely protected so ProjectOptionsDialogs
		could append configuration nodes

2004-03-03  Todd Berman  <tberman@sevenl.net>

	* bunch o' files: Added first pass debugger support.

2004-03-03 John BouAntoun  <jba-mono@optusnet.com.au>
	* src/Main/Base/Internal/Project/Project/IncludeFilesDialog.cs:
		Changed ShowDialog() to do a Dialog.Run() instead of 
		Dialog.ShowAll().
	* src/Main/Base/Internal/Project/Project/AbstractProject.cs:
		removed comment that said to fix the IncludeFilesDialog
	* data/resources/glade/Base.glade:
		made the treeview's scrolled window visible from start

2004-03-02  Mike Kestner  <mkestner@ximian.com>

	* configure.in : check for mono debugger
	* Main/Base/Makefile.am : reference Mono.Debugger
	* Main/Base/Services/DebuggingService.cs : new minimal debugging
	service implementation.

